package myTaglibs;

import java.util.Calendar;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * @author <A herf="mailto:ilovemedic@naver.com">ilovemedic@naver.com</A>
 */
public class WebCalendar extends TagSupport{

	private String year;
	private String month;
	
	public void setYear(String string){year = string;}
	public String getYear(){return year;}

	public void setMonth(String string){month = string;}
	public String getMonth(){return month;}

	public int doEndTag(){

		try {
			JspWriter out = super.pageContext.getOut();
			//PrintWriter out = new PrintWriter(System.out);
			
			int y = Integer.parseInt(year);
			int m = Integer.parseInt(month);
			int d = 1;
			
			Calendar c = Calendar.getInstance();
			c.set(y , m-1 , d);
			
			int dayOfWeek ;
			int dayOfMonth ;
			int month ;
			
			// Find Start Day
			dayOfWeek = c.get(Calendar.DAY_OF_WEEK);
			c.set(y , m-1 , d+(1-dayOfWeek));
			
			// Start Disply
			out.println("<TABLE>");
			out.println("<TR>");
			while(true){

				dayOfWeek = c.get(Calendar.DAY_OF_WEEK);
				dayOfMonth = c.get(Calendar.DAY_OF_MONTH);
				month = c.get(Calendar.MONTH)+1;

				out.print("<TD>");
				out.print(dayOfMonth);
				out.println("</TD>");

				if(dayOfWeek == Calendar.SATURDAY){
					out.println("</TR>");
					if(month == m){
						out.println("<TR>");
					}else{
						out.println("</TABLE>");
						break;
					}
				}

				c.set(Calendar.DAY_OF_MONTH , dayOfMonth+1);
			}
			out.flush();
			
		} catch (Exception e) {
			e.printStackTrace();
		}

		return super.EVAL_PAGE;
	}
	public static void main(String[] args){
		
		WebCalendar c = new WebCalendar();
		c.setYear("2004");
		c.setMonth("9");
		c.doEndTag();
	}
}